Skip to main content
GET
/
v1
/
runs
/
{id}
/
steps
/
{stepId}
/
screenshot
Get step screenshot
curl --request GET \
  --url https://agent.tinyfish.ai/v1/runs/{id}/steps/{stepId}/screenshot \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://agent.tinyfish.ai/v1/runs/{id}/steps/{stepId}/screenshot"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://agent.tinyfish.ai/v1/runs/{id}/steps/{stepId}/screenshot', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


"<string>"
{
  "error": {
    "code": "INVALID_INPUT",
    "message": "Field \"url\" is required and must be a string",
    "details": "<unknown>"
  }
}
{
  "error": {
    "code": "INVALID_INPUT",
    "message": "Field \"url\" is required and must be a string",
    "details": "<unknown>"
  }
}
{
  "error": {
    "code": "INVALID_INPUT",
    "message": "Field \"url\" is required and must be a string",
    "details": "<unknown>"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Get your key from the API Keys page.

Path Parameters

id
string
required

Run ID

Pattern: ^[A-Za-z0-9_-]+$
Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

stepId
string
required

Step ID (event ID)

Pattern: ^[A-Za-z0-9_-]+$
Example:

"evt_abc123"

Response

JPEG screenshot image

The response is of type file.